//
// Created by sfd on 25-6-5.
//

#ifndef INPUT_H
#define INPUT_H
#include <utility>

#include "Core.h"

namespace Hazel
{
    class HAZEL_API Input{
    public:
        virtual ~Input() = default;

        static bool IsKeyPressed(int key);

        static bool IsMouseButtonPressed(int button);
        static std::pair<float, float> GetMousePosition();

        static float GetMouseX();
        static float GetMouseY();
    };
}



#endif //INPUT_H
